# Module `mousegrabber`

awesome mousegrabber API

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2008-2009 Julien Danjou

## Functions

run (func, cursor) | Grab the mouse pointer and list motions, calling callback function at each motion.
stop () | Stop grabbing the mouse pointer.
isrunning () | Check if the mousegrabber is running.

## Functions

run (func, cursor)
  Grab the mouse pointer and list motions, calling callback function at each motion. The callback function must return a boolean value: true to continue grabbing, false to stop. The function is called with one argument: a table containing modifiers pointer coordinates.

  ### Parameters:

  - func A callback function as described above.
  - cursor The name of a X cursor to use while grabbing.
stop ()
  Stop grabbing the mouse pointer.
isrunning ()
  Check if the mousegrabber is running.

  ### Returns:

  A boolean value, true if running, false otherwise.

generated by LDoc 1.3